extern double* tn_fnds_input;
extern int tn_fnds_input_index;
void tn_fnds();
void tn_fnds_param(int preutter,int vconsonant,float length,int left,int right);
void tn_fnds_next();
void tn_fnds_silence(int preutter,float length);
